 /*-------------------------------------------------------------------*
  *    Name: SPENDING SAS                                             *
  *   Title: Data on public school expenditures for the US states     *
  *    Keys: DATA REGR ANOVA                                          *
  *    Data: creates SCHOOLS dataset                                  *
  *  Source: from Anscombe (1981) Computing in Statistical Science    *
  *          through APL. His source: Statistical Abstracts, 1970     *
  *-------------------------------------------------------------------*
  *  Author:  Michael Friendly            <FRIENDLY@YORKVM1>          *
  * Created:  7 Jun 1988 23:55:40                                     *
  *                                                                   *
  *-------------------------------------------------------------------*/
Title 'Public School Expenditures';
    /* Data from Anscombe, 1981  */
 
 /**-------------------------------------------**
  * Formats for the REGION and GROUP variables  *
  **-------------------------------------------**/
Proc Format;
   Value $REGION
         'NE' = 'North East'   'NC' = 'North Central'
         'SO' = 'South Region' 'WE' = 'West Region';
   Value $GROUP
         'NE' = 'New England'        'MA' = 'Mid Atlantic'
         'ENC'= 'East North Central' 'WNC'= 'West North Central'
         'SA' = 'South Atlantic'     'ESC'= 'East South Central'
         'WSC'= 'West South Central' 'MT' = 'Mountain States'
         'PA' = 'Pacific States';
Data Schools;
   Input ST $  SPENDING INCOME YOUTH URBAN REGION $ GROUP $;
   STATE=STFIPS(ST);
   LABEL ST = 'State'
         SPENDING='School Expenditures 1970'
         INCOME  ='Personal Income 1968'
         YOUTH   ='Young persons 1969'
         URBAN   ='Proportion Urban';
cards;
ME  189  2824  350.7  508  NE  NE
NH  169  3259  345.9  564  NE  NE
VT  230  3072  348.5  322  NE  NE
MA  168  3835  335.3  846  NE  NE
RI  180  3549  327.1  871  NE  NE
CT  193  4256  341.0  774  NE  NE
NY  261  4151  326.2  856  NE  MA
NJ  214  3954  333.5  889  NE  MA
PA  201  3419  326.2  715  NE  MA
OH  172  3509  354.5  753  NC  ENC
IN  194  3412  359.3  649  NC  ENC
IL  189  3981  348.9  830  NC  ENC
MI  233  3675  369.2  738  NC  ENC
WI  209  3363  360.7  659  NC  ENC
MN  262  3341  365.4  664  NC  WNC
IA  234  3265  343.8  572  NC  WNC
MO  177  3257  336.1  701  NC  WNC
ND  177  2730  369.1  443  NC  WNC
SD  187  2876  368.7  446  NC  WNC
NE  148  3239  349.9  615  NC  WNC
KS  196  3303  339.9  661  NC  WNC
DE  248  3795  375.9  722  SO  SA
MD  247  3742  364.1  766  SO  SA
DC  246  4425  352.1 1000  SO  SA
VA  180  3068  353.0  631  SO  SA
WV  149  2470  328.8  390  SO  SA
NC  155  2664  354.1  450  SO  SA
SC  149  2380  376.7  476  SO  SA
GA  156  2781  370.6  603  SO  SA
FL  191  3191  336.0  805  SO  SA
KY  140  2645  349.3  523  SO  ESC
TN  137  2579  342.8  588  SO  ESC
AL  112  2337  362.2  584  SO  ESC
MS  130  2081  385.2  445  SO  ESC
AR  134  2322  351.9  500  SO  WSC
LA  162  2634  389.6  661  SO  WSC
OK  135  2880  329.8  680  SO  WSC
TX  155  3029  369.4  797  SO  WSC
MT  238  2942  368.9  534  WE  MT
ID  170  2668  367.7  541  WE  MT
WY  238  3190  365.6  605  WE  MT
CO  192  3340  358.1  785  WE  MT
NM  227  2651  421.5  698  WE  MT
AZ  207  3027  387.5  796  WE  MT
UT  201  2790  412.4  804  WE  MT
NV  225  3957  385.1  809  WE  MT
WA  215  3688  341.3  726  WE  PA
OR  233  3317  332.7  671  WE  PA
CA  273  3968  348.4  909  WE  PA
AK  372  4146  439.7  484  WE  PA
HI  212  3513  382.9  831  WE  PA
;
